Edit Product
curl --request POST \
--url https://api.unibee.dev/merchant/product/edit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"productId": 123,
"description": "<string>",
"homeUrl": "<string>",
"imageUrl": "<string>",
"metadata": {},
"productName": "<string>",
"status": 123,
"usVATConfig": {
"active": true,
"fromAddress": {
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
},
"nexusAddresses": [
{
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
}
],
"sellOnUSOnly": true,
"taxCode": "<string>",
"toAddress": {
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
}
}
}
'import requests
url = "https://api.unibee.dev/merchant/product/edit"
payload = {
"productId": 123,
"description": "<string>",
"homeUrl": "<string>",
"imageUrl": "<string>",
"metadata": {},
"productName": "<string>",
"status": 123,
"usVATConfig": {
"active": True,
"fromAddress": {
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": True,
"zipCode": "<string>"
},
"nexusAddresses": [
{
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": True,
"zipCode": "<string>"
}
],
"sellOnUSOnly": True,
"taxCode": "<string>",
"toAddress": {
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": True,
"zipCode": "<string>"
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
productId: 123,
description: '<string>',
homeUrl: '<string>',
imageUrl: '<string>',
metadata: {},
productName: '<string>',
status: 123,
usVATConfig: {
active: true,
fromAddress: {
address: '<string>',
city: '<string>',
countryCode: '<string>',
state: '<string>',
verified: true,
zipCode: '<string>'
},
nexusAddresses: [
{
address: '<string>',
city: '<string>',
countryCode: '<string>',
state: '<string>',
verified: true,
zipCode: '<string>'
}
],
sellOnUSOnly: true,
taxCode: '<string>',
toAddress: {
address: '<string>',
city: '<string>',
countryCode: '<string>',
state: '<string>',
verified: true,
zipCode: '<string>'
}
}
})
};
fetch('https://api.unibee.dev/merchant/product/edit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"data": {
"product": {
"createTime": 123,
"description": "<string>",
"homeUrl": "<string>",
"id": 123,
"imageUrl": "<string>",
"isDeleted": 123,
"merchantId": 123,
"metaData": "<string>",
"productName": "<string>",
"status": 123,
"usVATConfig": {
"active": true,
"fromAddress": {
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
},
"nexusAddresses": [
{
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
}
],
"sellOnUSOnly": true,
"taxCode": "<string>",
"toAddress": {
"address": "<string>",
"city": "<string>",
"countryCode": "<string>",
"state": "<string>",
"verified": true,
"zipCode": "<string>"
}
}
}
},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}Product
Edit Product
Edit exist product, product is editable for both active and inactive status
POST
/
merchant
/
product
/
edit
Edit Product
Endpoint Overview
POSThttps://api.unibee.dev/merchant/product/edit
Edit exist product, product is editable for both active and inactive status
Authorization
All UniBee Merchant API requests require authentication via API key.| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <your_api_key> |
Content-Type | Yes | application/json (for request body) |
Parameters
Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.Request body
| Name | Type | Required | Description |
|---|---|---|---|
description | string | No | description |
homeUrl | string | No | home_url |
imageUrl | string | No | image_url |
metadata | object | No | Metadata,Map |
productId | integer | Yes | Id of product |
productName | string | No | ProductName |
status | integer | No | status,1-active,2-inactive, default active |
usVATConfig | string | No |
Request examples
cURL
curl -X POST "https://api.unibee.dev/merchant/product/edit" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"description": "",
"homeUrl": "https://example.com",
"imageUrl": "https://example.com",
"metadata": {},
"productId": 0,
"productName": "",
"status": 0,
"usVATConfig": ""
}'
Sandbox
curl -X POST "https://api-sandbox.unibee.top/merchant/product/edit" \
-H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"description": "",
"homeUrl": "https://example.com",
"imageUrl": "https://example.com",
"metadata": {},
"productId": 0,
"productName": "",
"status": 0,
"usVATConfig": ""
}'
Response
Success responses return a JSON envelope withcode, data, message, redirect, and requestId. code 0 indicates success.
| Field | Type | Description |
|---|---|---|
code | integer | Response code. 0 = success |
data | object | Response payload |
data.product | object | |
message | string | Human-readable message |
requestId | string | Request ID for support |
Error handling
| HTTP status | Meaning |
|---|---|
| 400 | Bad request — invalid or missing parameters. Check message in the body. |
| 401 | Unauthorized — missing or invalid API key. |
| 404 | Not found — invalid path or resource. |
| 500 | Server error — retry with backoff. |
code in the response body is non-zero, check message for details. Use requestId when contacting support.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Edit exist product, product is editable for both active and inactive status
Id of product
description
home_url
image_url
Metadata,Map
Show child attributes
Show child attributes
ProductName
status,1-active,2-inactive, default active
Show child attributes
Show child attributes
⌘I

